﻿using Dto;
using Entities;
using Model;

namespace Shared.Mapper;

public static class InquiryMapper
{
    public static Inquiry FromDTOToModel(this InquiryDTO InqDto)
    {
        return new Inquiry(InqDto.Id, InqDto.Title, InqDto.Description, InqDto.IsUser);
    }

    public static Inquiry FromEntityToModel(this InquiryEntity InqEntity)
    {
        return new Inquiry(InqEntity.Id, InqEntity.Title, InqEntity.Description, InqEntity.IsUser);
    }


    public static InquiryEntity FromModelToEntity(this Inquiry Inq)
    {
        return new InquiryEntity(Inq.Id, Inq.Title, Inq.Description, Inq.IsUser);
    }

    public static InquiryEntity FromDTOToEntity(this InquiryDTO InqDto)
    {
        return new InquiryEntity(InqDto.Id, InqDto.Title, InqDto.Description, InqDto.IsUser);
    }

    public static InquiryDTO FromModelToDTO(this Inquiry Inq)
    {
        return new InquiryDTO(Inq.Id, Inq.Title, Inq.Description, Inq.IsUser);
    }

    public static InquiryDTO FromEntityToDTO(this InquiryEntity InqEntity)
    {
        return new InquiryDTO(InqEntity.Id, InqEntity.Title, InqEntity.Description, InqEntity.IsUser);
    }
}